package csp_runtime;

import java.awt.Point;
import java.util.Vector;

/**
 * Contient les info ncessaire  un deboggage (les infos utilises ici sont 
 * coordonnes du point de dpart de la commande, et coordones de fin)
 * 
 * @author Benjamin LE  BOZEC
 *
 */
public class DebugObj {

	public Point first;
	public Point last;
	
	public DebugObj (int l1, int c1, int l2, int c2) {
		first = new Point (c1, l1);
		last = new Point (c2, l2);
	}
	
	static DebugObj [] toArray (Vector<DebugObj> vector) {
		DebugObj [] tab = new DebugObj [vector.size()];
		vector.toArray (tab);
		return tab;
	}
	
	public DebugObj fusionne (DebugObj obj) {
		DebugObj nouv = new DebugObj (
				(obj.first.y<first.y)?obj.first.y:first.y,
				(obj.first.x<first.x)?obj.first.x:first.x,
				(obj.last.y>last.y)?obj.last.y:last.y,
				(obj.last.x>last.x)?obj.last.x:last.x);
				return nouv;
	}
}
