/*
 * Cr le 3 mai 2005
 */
package csp_runtime;

import java.util.Collection;
import java.util.Vector;
import java.util.concurrent.Semaphore;

/**
 * ThreadCtrl englobe toutes les donnes utiles  la synchro d'1 proc.
 * 
 * @author Benjamin LE BOZEC
 */
public class ThreadCtrl {
	
	protected final Semaphore sem = new Semaphore (0);	
	protected final Vector<Garde> commands = new Vector<Garde>();
	
	protected boolean dead = false; 	
	
	public void setCommandList (Garde ... commands) {
		for (Garde cmd : commands)
			this.commands.add (cmd);
	}
	
	public void setCommandList (Collection<Garde> collect) {
		for (Garde cmd : collect) {
			commands.add (cmd);
		}
	}
	
	public Garde findMatch (Garde cmdToFind) {
		for (Garde cmd : commands) {
			if (cmd.ioCmd.matches (cmdToFind.ioCmd)) return cmd;
		}
		return null;
	}
}